<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'error', language 'en_ar', version '2.5'.
 *
 * @package     error
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['alreadyloggedin'] = 'Ye are already boarded as {$a}, ye need to disembark before boarding as different user.';
$string['cannotaddrss'] = 'Ye do not have permission to add rss feeds';
$string['cannotaddthisblocktype'] = 'Ye cannot add a {$a} block to this page.';
$string['cannotassignrolehere'] = 'Ye are not allowed to assign this role (id = {$a->roleid}) in this context ({$a->context})';
$string['cannotcallscript'] = 'Ye cannot call this script in that way';
$string['cannotcallusgetselecteduser'] = 'Ye cannot call user_selector::get_selected_user if multi select is true.';
$string['cannotcustomisefiltersblockuser'] = 'Ye cannot customise filters settings in user or block contexts.';
$string['cannotdeletecourse'] = 'Ye do not have the permission to delete this course';
$string['cannotdeletethisrole'] = 'Ye cannot delete this role because it is used by the system, or because it is the last role with administrator capabilities.';
$string['cannotdisableformat'] = 'Ye can not disable the default format';
$string['cannoteditcommentexpired'] = 'Ye can\'t edit this. The time has expired!';
$string['cannoteditpostorblog'] = 'Ye cannot post or edit blogs';
$string['cannoteditsiteform'] = 'Ye cannot edit the site course using this form';
$string['cannotedityourprofile'] = 'Sorry, ye cannot edit own profile';
$string['cannotoverriderolehere'] = 'Ye are not allowed to override this role (id = {$a->roleid}) in this context ({$a->context})';
$string['cannotresetguestpwd'] = 'Ye cannot reset the guest password';
$string['cannotrestoreadminorcreator'] = 'Ye need to be a creator or admin user to restore into new course!';
$string['cannotrestoreadminoredit'] = 'Ye need to be a editing teacher or admin user to restore into selected course!';
$string['cannotsaveagreement'] = 'Could not save yer agreement';
$string['cannotuseadmin'] = 'Ye need to be an admin user to use this page';
$string['cannotuseadminadminorteacher'] = 'Ye need to be a teacher or admin user to use this page';
$string['cannotusepage2'] = 'Sorry, ye may not use this page';
$string['cannotviewprofile'] = 'Ye cannot view the profile of this user';
$string['cannotviewreport'] = 'Ye cannot view this report';
$string['confirmsesskeybad'] = 'Sorry, but yer session key could not be confirmed to carry out this action.  This security feature prevents against accidental or malicious execution of important functions in yer name.  Please make sure ye really wanted to execute this function.';
$string['downgradedcore'] = 'ERROR!!!  The code ye are using is OLDER than the version that made these databases!';
$string['errorsavingrequest'] = 'An error occurred when trying to save yer request.';
$string['forumblockingtoomanyposts'] = 'Ye have exceeded the posting threshold set for this forum';
$string['grouphasidnumber'] = 'Group "{$a}" has an idnumber and may have been automatically created by an external system. Ye do not have permission to remove this group.';
$string['groupinghasidnumber'] = 'Grouping "{$a}" has an idnumber and may have been automatically created by an external system. Ye do not have permission to remove this grouping.';
$string['installproblem'] = 'It is usually not possible to recover from errors triggered during installation, ye may need to create a new database or use a different database prefix if ye want to retry the installation.';
$string['invalidcourseid'] = 'Ye are trying to use an invalid course ID';
$string['listcantmoveright'] = 'Failed to move item right, as there is no peer to make it a child of. Move it below another peer and then ye can move it right.';
$string['loginasnoenrol'] = 'Ye cannot use enrol or unenrol when in course "Login as" session';
$string['loginasonecourse'] = 'Ye cannot enter this course.<br /> Ye have to terminate the "Login as" session before entering any other course.';
$string['mimetexisnotexist'] = 'Yer system is not configured to run mimeTeX. Ye need to download the appropriate executable for ye PHP_OS platform from <a href="http://moodle.org/download/mimetex/">http://moodle.org/download/mimetex/</a>, or obtain the C source from <a href="http://www.forkosh.com/mimetex.zip"> http://www.forkosh.com/mimetex.zip</a>, compile it and put the executable into yer moodle/filter/tex/ directory.';
$string['movecatcontentstoroot'] = 'Moving the category content to root is not allowed. Ye must move the contents to an existant category!';
$string['mustbeloggedin'] = 'Ye must be boarded to do this';
$string['mustbeteacher'] = 'Ye must be a teacher to look at this page';
$string['needcopy'] = 'Ye need to copy something first!';
$string['needphpext'] = 'Ye need to add {$a} support to yer PHP installation';
$string['nologinas'] = 'Ye are not allowed to login as that user';
$string['noparticipatorycms'] = 'Sorry, but ye have no participatory course modules to report on';
$string['nopermissions'] = 'Sorry, but ye do not currently have permissions to do that ({$a})';
$string['nopermissiontocomment'] = 'Ye can\'t add comments';
$string['nopermissiontodelentry'] = 'Ye can\'t delete other people\'s entries!';
$string['nopermissiontoeditcomment'] = 'Ye can\'t edit other people\'s comments!';
$string['nopermissiontoimportact'] = 'Ye do not have the required permissions to import activities to this course';
$string['nopermissiontomanagegroup'] = 'Ye do not have the required permissions to manage groups';
$string['nopermissiontoupdatecalendar'] = 'Sorry, but ye do not currently have permissions to update calendar event';
$string['nopermissiontoviewpage'] = 'Ye are not allowed to look at this page';
$string['notallowedtoupdateprefremotely'] = 'Ye are not allowed to update this user preference remotely';
$string['notmemberofgroup'] = 'Ye are not a member of this course group';
$string['notownerofkey'] = 'Ye are not owner of this key';
$string['onlyeditown'] = 'Ye can only edit yer own information';
$string['pleasereport'] = 'If ye have time, please let us know what ye were trying to do when the error occurred:';
$string['pluginrequirementsnotmet'] = 'Plugin "{$a->pluginname}" ({$a->pluginversion}) could not be installed.  It requires a newer version of Moodle (currently ye are using {$a->currentmoodle}, ye need {$a->requiremoodle}).';
$string['remotedownloaderror'] = 'Download of component to yer server failed, please verify proxy settings, PHP cURL extension is highly recommended.<br /><br />Ye must download the <a href="{$a->url}">{$a->url}</a> file manually, copy it to "{$a->dest}" in yer server and unzip it there.';
$string['remotedownloadnotallowed'] = 'Download of components to yer server isn\'t allowed (allow_url_fopen is disabled).<br /><br />Ye must download the <a href="{$a->url}">{$a->url}</a> file manually, copy it to "{$a->dest}" in yer server and unzip it there.';
$string['restorechecksumfailed'] = 'Some problem happened with the restore information stored in yer session. Please check yer PHP memory/DB package size limits. Restore stopped.';
$string['restricteduser'] = 'Sorry, but yer current account "{$a}" is restricted from doing that';
$string['rpcerror'] = 'Ooops! Yer MNET communication has failed! Here\'s that error message to pass on to yer administrator: {$a}';
$string['sessionerroruser'] = 'Yer session has timed out.  Please login again.';
$string['sessionerroruser2'] = 'A server error that affects yer login session was detected. Please login again or restart yer browser.';
$string['sessionipnomatch'] = 'Sorry, but yer IP number seems to have changed from when ye first logged in.  This security feature prevents crackers stealing yer identity while logged in to this site.  Normal users should not be seeing this message - please ask the site administrator for help.';
$string['sessionipnomatch2'] = 'Sorry, but yer IP number seems to have changed from when ye first logged in.  This security feature prevents crackers stealing yer identity while logged in to this site. Ye may see this error if ye use wireless networks or if ye are roaming between different networks. Please ask the site administrator for more help.<br /><br />If ye want to continue please press F5 key to refresh this page.';
$string['sessionwaiterr'] = 'Timed out while waiting for session lock.<br />Wait for yer current requests to finish and try again later.';
$string['textconditionsnotallowed'] = 'Comparisons of text column conditions are not allowed. Please use sql_compare_text() in yer query.';
$string['unicodeupgradeerror'] = 'Sorry, but yer database is not already in Unicode, and this version of Moodle is not able to migrate yer database to Unicode.  Please upgrade to Moodle 1.7.x first and perform the Unicode migration from the Admin page.  After that is done ye should be able to migrate to Moodle {$a}';
$string['upgraderequires19'] = 'Error: New Moodle version was installed on server, unfortunately upgrade from the previous version is not supported.<br />Please upgrade first to latest 1.9.x release. Ye can also return to previous version by reinstalling original files.';
$string['userquotalimit'] = 'Ye have reached yer file quota limit.';
$string['youcannotdeletecategory'] = 'Ye cannot delete category \'{$a}\' because ye can neither delete the contents, nor move them elsewhere.';
