<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'forum', language 'en_ar', version '2.5'.
 *
 * @package     forum
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['attachment_help'] = 'Ye can optionally attach one or more files to a forum post. If ye attach an image, it will be displayed after the message.';
$string['attachmentnopost'] = 'Ye cannot export attachments without a post id';
$string['cannotadddiscussionall'] = 'Ye do not have permission to add a new discussion topic for all participants.';
$string['cannotdeleteforummodule'] = 'Ye can not delete the forum module.';
$string['cannotdeletepost'] = 'Ye can\'t delete this post!';
$string['cannoteditposts'] = 'Ye can\'t edit other people\'s posts!';
$string['cannotmovetonotexist'] = 'Ye can\'t move to that forum - it doesn\'t exist!';
$string['cannotpurgecachedrss'] = 'Could not purge the cached RSS feeds for the source and/or destination forum(s) - check yer file permissionsforums';
$string['cannotreply'] = 'Ye cannot reply to this post';
$string['cannotsubscribe'] = 'Sorry, but ye must be a group member to subscribe.';
$string['cannotunsubscribe'] = 'Could not unsubscribe ye from that forum';
$string['cannotupdatepost'] = 'Ye can not update this post';
$string['cannotviewpostyet'] = 'Ye cannot read other students questions in this discussion yet because ye haven\'t posted';
$string['cannotviewusersposts'] = 'There are no posts made by this user that ye are able to view.';
$string['configenablerssfeeds'] = 'This switch will enable the possibility of RSS feeds for all forums.  Ye will still need to turn feeds on manually in the settings for each forum.';
$string['configenabletimedposts'] = 'Set to \'yes\' if ye want to allow setting of display periods when posting a new forum discussion (Experimental as not yet fully tested)';
$string['configtrackreadposts'] = 'Set to \'yes\' if ye want to track read/unread for each user.';
$string['confirmsubscribe'] = 'Do ye really want to subscribe to forum \'{$a}\'?';
$string['confirmunsubscribe'] = 'Do ye really want to unsubscribe from forum \'{$a}\'?';
$string['couldnotadd'] = 'Could not add yer post due to an unknown error';
$string['couldnotupdate'] = 'Could not update yer post due to an unknown error';
$string['deletesure'] = 'Are ye sure ye want to delete this post?';
$string['deletesureplural'] = 'Are ye sure ye want to delete this post and all replies? ({$a} posts)';
$string['digestmailheader'] = 'This is yer daily digest of new posts from the {$a->sitename} forums. To change yer forum email preferences, go to {$a->userprefs}.';
$string['emptymessage'] = 'Something was wrong with yer post. Perhaps ye left it blank, or the attachment was too big. Yer changes have NOT been saved.';
$string['errorenrolmentrequired'] = 'Ye must be enrolled in this course to access this content';
$string['forum:viewrating'] = 'View the total rating ye received';
$string['forumblockingalmosttoomanyposts'] = 'Ye are approaching the posting threshold. Ye have posted {$a->numposts} times in the last {$a->blockperiod} and the limit is {$a->blockafter} posts.';
$string['forumbodyhidden'] = 'This post cannot be viewed by you, probably because ye have not posted in the discussion, the maximum editing time hasn\'t passed yet, the discussion has not started or the discussion has expired.';
$string['introsocial'] = 'An open forum for chatting about anything ye want to';
$string['mustprovidediscussionorpost'] = 'Ye must provide either a discussion id or post id to export';
$string['nodiscussionsstartedbyyou'] = 'Ye haven\'t started any discussions yet';
$string['nopermissiontosubscribe'] = 'Ye do not have the permission to view forum subscribers';
$string['nopermissiontoview'] = 'Ye do not have permissions to view this post';
$string['nopostforum'] = 'Sorry, ye are not allowed to post to this forum';
$string['nopostsmadebyyou'] = 'Ye haven\'t made any posts';
$string['notingroup'] = 'Sorry, but ye need to be part of a group to see this forum.';
$string['noviewdiscussionspermission'] = 'Ye do not have the permission to view discussions in this forum';
$string['postadded'] = '<p>Yer post was successfully added.</p> <p>Ye have {$a} to edit it if ye want to make any changes.</p>';
$string['postaddedsuccess'] = 'Yer post was successfully added.';
$string['postaddedtimeleft'] = 'Ye have {$a} to edit it if ye want to make any changes.';
$string['postupdated'] = 'Yer post was updated';
$string['qandanotify'] = 'This is a question and answer forum. In order to see other responses to these questions, ye must first post yer answer';
$string['subscription_help'] = 'If ye are subscribed to a forum it means ye will receive email copies of forum posts. Usually ye can choose whether ye wish to be subscribed, though sometimes subscription is forced so that everyone receives email copies of forum posts.';
$string['thisforumisthrottled'] = 'This forum has a limit to the number of forum postings ye can make in a given time period - this is currently set at {$a->blockafter} posting(s) in {$a->blockperiod}';
$string['unsubscribeallconfirm'] = 'Ye are subscribed to {$a} forums now. Do ye really want to unsubscribe from all forums and disable forum auto-subscribe?';
$string['unsubscribealldone'] = 'All optional forum subscriptions were removed. Ye will still receive notifications from forums with forced subscription. To manage forum notifications go to Messaging in My Profile Settings.';
$string['unsubscribeallempty'] = 'Ye are not subscribed to any forums. To disable all notifications from this server go to Messaging in My Profile Settings.';
$string['yournewquestion'] = 'Yer new question';
$string['yournewtopic'] = 'Yer new discussion topic';
$string['yourreply'] = 'Yer reply';
